Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Interface JspParserConstants

All Known Implementing Classes:
  JspParser, JspParserTokenManager

public interface JspParserConstants

Field Summary
`static int` | `AfterTagState`
`static int` | `ALPHA_CHAR`
`static int` | `ALPHANUM_CHAR`
`static int` | `ATTR_EQ`
`static int` | `ATTR_NAME`
`static int` | `AttrValueBetweenDoubleQuotesState`
`static int` | `AttrValueBetweenSingleQuotesState`
`static int` | `AttrValueState`
`static int` | `CDATA_END`
`static int` | `CDATA_START`
`static int` | `CDataState`
`static int` | `COMMENT_END`
`static int` | `COMMENT_START`
`static int` | `COMMENT_TEXT`
`static int` | `CommentState`
`static int` | `DECL_END`
`static int` | `DECL_START`
`static int` | `DEFAULT`
`static int` | `DOCTYPE_DECL_END`
`static int` | `DOCTYPE_DECL_START`
`static int` | `DocTypeExternalIdState`
`static int` | `DocTypeState`
`static int` | `DOLLAR`
`static int` | `DOLLAR_OR_HASH_DOUBLE_QUOTE`
`static int` | `DOLLAR_OR_HASH_SINGLE_QUOTE`
`static int` | `DOUBLE_QUOTE`
`static int` | `EL_ESCAPE`
`static int` | `EL_EXPRESSION`
`static int` | `EL_EXPRESSION_IN_ATTRIBUTE`
`static int` | `ENDING_DOUBLE_QUOTE`
`static int` | `ENDING_SINGLE_QUOTE`
`static int` | `ENDTAG_START`
`static int` | `EOF`
`static int` | `IDENTIFIER`
`static int` | `IDENTIFIER_CHAR`
`static int` | `IN_TAG_ERROR`
`static int` | `InTagState`
`static int` | `JSP_COMMENT_CONTENT`
`static int` | `JSP_COMMENT_END`
`static int` | `JSP_COMMENT_START`
`static int` | `JSP_DECLARATION`
`static int` | `JSP_DECLARATION_END`
`static int` | `JSP_DECLARATION_START`
`static int` | `JSP_DIRECTIVE_ATTRIBUTE_EQUALS`
`static int` | `JSP_DIRECTIVE_ATTRIBUTE_NAME`
`static int` | `JSP_DIRECTIVE_ATTRIBUTE_VALUE`
`static int` | `JSP_DIRECTIVE_END`
`static int` | `JSP_DIRECTIVE_NAME`
`static int` | `JSP_DIRECTIVE_START`
`static int` | `JSP_EXPRESSION`
`static int` | `JSP_EXPRESSION_END`
`static int` | `JSP_EXPRESSION_IN_ATTRIBUTE`
`static int` | `JSP_EXPRESSION_START`
`static int` | `JSP_SCRIPTLET`
`static int` | `JSP_SCRIPTLET_END`
`static int` | `JSP_SCRIPTLET_START`
`static int` | `JspCommentState`
`static int` | `JspDeclarationState`
`static int` | `JspDirectiveAttributesState`
`static int` | `JspDirectiveState`
`static int` | `JspExpressionState`
`static int` | `JspScriptletState`
`static int` | `LST_ERROR`
`static int` | `NAME`
`static int` | `NEWLINE`
`static int` | `NO_JSP_COMMENT_END`
`static int` | `NO_JSP_TAG_END`
`static int` | `NO_LT_OR_DOLLAR`
`static int` | `NO_OPENBRACE_OR_LT`
`static int` | `NO_WHITESPACE_OR_LT_OR_DOLLAR`
`static int` | `NUM_CHAR`
`static int` | `PUBLIC`
`static int` | `QUOTE`
`static int` | `QUOTED_LITERAL`
`static int` | `QUOTED_STRING`
`static int` | `QUOTED_STRING_NO_BREAKS`
`static int` | `SINGLE_QUOTE`
`static int` | `StartTagState`
`static int` | `SYSTEM`
`static int` | `TAG_END`
`static int` | `TAG_NAME`
`static int` | `TAG_SLASHEND`
`static int` | `TAG_START`
`static int` | `TEXT_IN_EL`
`static java.lang.String[]` | `tokenImage`
`static int` | `UNPARSED`
`static int` | `UNPARSED_TEXT`
`static int` | `UNPARSED_TEXT_NO_DOUBLE_QUOTES`
`static int` | `UNPARSED_TEXT_NO_SINGLE_QUOTES`
`static int` | `VALUE_BINDING_IN_ATTRIBUTE`
`static int` | `WHITESPACE`
`static int` | `WHITESPACES`
`static int` | `XMLNAME`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### ALPHA_CHAR

    public static final int ALPHA_CHAR

See Also:
  Constant Field Values

### NUM_CHAR

    public static final int NUM_CHAR

See Also:
  Constant Field Values

### ALPHANUM_CHAR

    public static final int ALPHANUM_CHAR

See Also:
  Constant Field Values

### IDENTIFIER_CHAR

    public static final int IDENTIFIER_CHAR

See Also:
  Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### XMLNAME

    public static final int XMLNAME

See Also:
  Constant Field Values

### QUOTED_STRING_NO_BREAKS

    public static final int QUOTED_STRING_NO_BREAKS

See Also:
  Constant Field Values

### QUOTED_STRING

    public static final int QUOTED_STRING

See Also:
  Constant Field Values

### WHITESPACE

    public static final int WHITESPACE

See Also:
  Constant Field Values

### NEWLINE

    public static final int NEWLINE

See Also:
  Constant Field Values

### QUOTE

    public static final int QUOTE

See Also:
  Constant Field Values

### NO_WHITESPACE_OR_LT_OR_DOLLAR

    public static final int NO_WHITESPACE_OR_LT_OR_DOLLAR

See Also:
  Constant Field Values

### NO_LT_OR_DOLLAR

    public static final int NO_LT_OR_DOLLAR

See Also:
  Constant Field Values

### DOLLAR

    public static final int DOLLAR

See Also:
  Constant Field Values

### NO_OPENBRACE_OR_LT

    public static final int NO_OPENBRACE_OR_LT

See Also:
  Constant Field Values

### TEXT_IN_EL

    public static final int TEXT_IN_EL

See Also:
  Constant Field Values

### EL_ESCAPE

    public static final int EL_ESCAPE

See Also:
  Constant Field Values

### NO_JSP_COMMENT_END

    public static final int NO_JSP_COMMENT_END

See Also:
  Constant Field Values

### NO_JSP_TAG_END

    public static final int NO_JSP_TAG_END

See Also:
  Constant Field Values

### TAG_START

    public static final int TAG_START

See Also:
  Constant Field Values

### ENDTAG_START

    public static final int ENDTAG_START

See Also:
  Constant Field Values

### COMMENT_START

    public static final int COMMENT_START

See Also:
  Constant Field Values

### DECL_START

    public static final int DECL_START

See Also:
  Constant Field Values

### DOCTYPE_DECL_START

    public static final int DOCTYPE_DECL_START

See Also:
  Constant Field Values

### CDATA_START

    public static final int CDATA_START

See Also:
  Constant Field Values

### JSP_COMMENT_START

    public static final int JSP_COMMENT_START

See Also:
  Constant Field Values

### JSP_DECLARATION_START

    public static final int JSP_DECLARATION_START

See Also:
  Constant Field Values

### JSP_EXPRESSION_START

    public static final int JSP_EXPRESSION_START

See Also:
  Constant Field Values

### JSP_SCRIPTLET_START

    public static final int JSP_SCRIPTLET_START

See Also:
  Constant Field Values

### JSP_DIRECTIVE_START

    public static final int JSP_DIRECTIVE_START

See Also:
  Constant Field Values

### EL_EXPRESSION

    public static final int EL_EXPRESSION

See Also:
  Constant Field Values

### UNPARSED_TEXT

    public static final int UNPARSED_TEXT

See Also:
  Constant Field Values

### JSP_DIRECTIVE_NAME

    public static final int JSP_DIRECTIVE_NAME

See Also:
  Constant Field Values

### JSP_DIRECTIVE_ATTRIBUTE_NAME

    public static final int JSP_DIRECTIVE_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### JSP_DIRECTIVE_ATTRIBUTE_EQUALS

    public static final int JSP_DIRECTIVE_ATTRIBUTE_EQUALS

See Also:
  Constant Field Values

### JSP_DIRECTIVE_ATTRIBUTE_VALUE

    public static final int JSP_DIRECTIVE_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### JSP_DIRECTIVE_END

    public static final int JSP_DIRECTIVE_END

See Also:
  Constant Field Values

### JSP_SCRIPTLET_END

    public static final int JSP_SCRIPTLET_END

See Also:
  Constant Field Values

### JSP_SCRIPTLET

    public static final int JSP_SCRIPTLET

See Also:
  Constant Field Values

### JSP_EXPRESSION_END

    public static final int JSP_EXPRESSION_END

See Also:
  Constant Field Values

### JSP_EXPRESSION

    public static final int JSP_EXPRESSION

See Also:
  Constant Field Values

### JSP_DECLARATION_END

    public static final int JSP_DECLARATION_END

See Also:
  Constant Field Values

### JSP_DECLARATION

    public static final int JSP_DECLARATION

See Also:
  Constant Field Values

### JSP_COMMENT_END

    public static final int JSP_COMMENT_END

See Also:
  Constant Field Values

### JSP_COMMENT_CONTENT

    public static final int JSP_COMMENT_CONTENT

See Also:
  Constant Field Values

### WHITESPACES

    public static final int WHITESPACES

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### SYSTEM

    public static final int SYSTEM

See Also:
  Constant Field Values

### DOCTYPE_DECL_END

    public static final int DOCTYPE_DECL_END

See Also:
  Constant Field Values

### QUOTED_LITERAL

    public static final int QUOTED_LITERAL

See Also:
  Constant Field Values

### UNPARSED

    public static final int UNPARSED

See Also:
  Constant Field Values

### CDATA_END

    public static final int CDATA_END

See Also:
  Constant Field Values

### TAG_NAME

    public static final int TAG_NAME

See Also:
  Constant Field Values

### LST_ERROR

    public static final int LST_ERROR

See Also:
  Constant Field Values

### ATTR_NAME

    public static final int ATTR_NAME

See Also:
  Constant Field Values

### TAG_END

    public static final int TAG_END

See Also:
  Constant Field Values

### DECL_END

    public static final int DECL_END

See Also:
  Constant Field Values

### TAG_SLASHEND

    public static final int TAG_SLASHEND

See Also:
  Constant Field Values

### ATTR_EQ

    public static final int ATTR_EQ

See Also:
  Constant Field Values

### IN_TAG_ERROR

    public static final int IN_TAG_ERROR

See Also:
  Constant Field Values

### SINGLE_QUOTE

    public static final int SINGLE_QUOTE

See Also:
  Constant Field Values

### DOUBLE_QUOTE

    public static final int DOUBLE_QUOTE

See Also:
  Constant Field Values

### EL_EXPRESSION_IN_ATTRIBUTE

    public static final int EL_EXPRESSION_IN_ATTRIBUTE

See Also:
  Constant Field Values

### VALUE_BINDING_IN_ATTRIBUTE

    public static final int VALUE_BINDING_IN_ATTRIBUTE

See Also:
  Constant Field Values

### JSP_EXPRESSION_IN_ATTRIBUTE

    public static final int JSP_EXPRESSION_IN_ATTRIBUTE

See Also:
  Constant Field Values

### ENDING_SINGLE_QUOTE

    public static final int ENDING_SINGLE_QUOTE

See Also:
  Constant Field Values

### UNPARSED_TEXT_NO_SINGLE_QUOTES

    public static final int UNPARSED_TEXT_NO_SINGLE_QUOTES

See Also:
  Constant Field Values

### DOLLAR_OR_HASH_SINGLE_QUOTE

    public static final int DOLLAR_OR_HASH_SINGLE_QUOTE

See Also:
  Constant Field Values

### ENDING_DOUBLE_QUOTE

    public static final int ENDING_DOUBLE_QUOTE

See Also:
  Constant Field Values

### UNPARSED_TEXT_NO_DOUBLE_QUOTES

    public static final int UNPARSED_TEXT_NO_DOUBLE_QUOTES

See Also:
  Constant Field Values

### DOLLAR_OR_HASH_DOUBLE_QUOTE

    public static final int DOLLAR_OR_HASH_DOUBLE_QUOTE

See Also:
  Constant Field Values

### COMMENT_END

    public static final int COMMENT_END

See Also:
  Constant Field Values

### COMMENT_TEXT

    public static final int COMMENT_TEXT

See Also:
  Constant Field Values

### CommentState

    public static final int CommentState

See Also:
  Constant Field Values

### AttrValueBetweenDoubleQuotesState

    public static final int AttrValueBetweenDoubleQuotesState

See Also:
  Constant Field Values

### AttrValueBetweenSingleQuotesState

    public static final int AttrValueBetweenSingleQuotesState

See Also:
  Constant Field Values

### StartTagState

    public static final int StartTagState

See Also:
  Constant Field Values

### CDataState

    public static final int CDataState

See Also:
  Constant Field Values

### DocTypeExternalIdState

    public static final int DocTypeExternalIdState

See Also:
  Constant Field Values

### DocTypeState

    public static final int DocTypeState

See Also:
  Constant Field Values

### JspCommentState

    public static final int JspCommentState

See Also:
  Constant Field Values

### JspDeclarationState

    public static final int JspDeclarationState

See Also:
  Constant Field Values

### JspExpressionState

    public static final int JspExpressionState

See Also:
  Constant Field Values

### JspScriptletState

    public static final int JspScriptletState

See Also:
  Constant Field Values

### InTagState

    public static final int InTagState

See Also:
  Constant Field Values

### AfterTagState

    public static final int AfterTagState

See Also:
  Constant Field Values

### AttrValueState

    public static final int AttrValueState

See Also:
  Constant Field Values

### JspDirectiveAttributesState

    public static final int JspDirectiveAttributesState

See Also:
  Constant Field Values

### JspDirectiveState

    public static final int JspDirectiveState

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.